Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.record.compiler
Class JFile

    java.lang.Object
      org.apache.hadoop.record.compiler.JFile

    public class JFile

extends Object

Container for the Hadoop Record DDL. The main components of the file are filename, list of included files, and records defined in that file.

Constructor Summary
`JFile(String name, ArrayList<JFile> inclFiles, ArrayList<JRecord> recList)` Creates a new instance of JFile

Method Summary
`int` | `genCode(String language, String destDir, ArrayList<String> options)` Generate record code in given language.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JFile

    public JFile(String name,
                 ArrayList<JFile> inclFiles,
                 ArrayList<JRecord> recList)

  Creates a new instance of JFile

  Parameters:
    `name` - possibly full pathname to the file
    `inclFiles` - included files (as JFile)
    `recList` - List of records defined within this file

Method Detail

### genCode

    public int genCode(String language,
                       String destDir,
                       ArrayList<String> options)
                throws IOException

  Generate record code in given language. Language should be all lowercase.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation